package com.bonus.canteen.core.order.deprecated.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class AppDtlOrdDetailVO implements Serializable {
   @ApiModelProperty("绑盘对应菜品id")
   private Long id;
   @ApiModelProperty("订单详情id")
   private Long detailId;
   @ApiModelProperty(
      value = "订单id",
      hidden = true
   )
   private Long ordId;
   @ApiModelProperty("商品id")
   private Long goodsId;
   @ApiModelProperty("商品名称")
   private String goodsName;
   @ApiModelProperty("商品图片url")
   private String imageUrl;
   @ApiModelProperty("商品单价 单位为分")
   private Integer price;
   @ApiModelProperty("数量")
   private Integer quantity;
   @ApiModelProperty("总额 单位为分")
   private Integer totalAmount;
   @ApiModelProperty("明细类别 1-菜品 2-套餐 3-商品")
   private Integer detailType;
   @ApiModelProperty("口味名称")
   private String tasteName;
   @ApiModelProperty("订单状态 接受单、拒绝订单、取消、退款、完成")
   private Integer ordState;
   @ApiModelProperty("实际付款金额 单位为分")
   private Integer realAmount;
   @ApiModelProperty("销售方式 1按份,2称重 默认按份")
   private Integer salesMode;
   @ApiModelProperty("商品已退数量")
   private Integer goodsRefundNum;
   @ApiModelProperty("申请退单数量")
   private Integer applyRefundNum;
   @ApiModelProperty("实际退单数量")
   private Integer realRefundNum;
   @ApiModelProperty("菜品重量 单位克")
   private Integer menuWeigh;
   @ApiModelProperty("计量单位")
   private Integer weight;
   @ApiModelProperty("审核状态 1 待审核 2 审核通过  3 审核未通过")
   private Integer checkState;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public Long getGoodsId() {
      return this.goodsId;
   }

   public String getGoodsName() {
      return this.goodsName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Integer getTotalAmount() {
      return this.totalAmount;
   }

   public Integer getDetailType() {
      return this.detailType;
   }

   public String getTasteName() {
      return this.tasteName;
   }

   public Integer getOrdState() {
      return this.ordState;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getGoodsRefundNum() {
      return this.goodsRefundNum;
   }

   public Integer getApplyRefundNum() {
      return this.applyRefundNum;
   }

   public Integer getRealRefundNum() {
      return this.realRefundNum;
   }

   public Integer getMenuWeigh() {
      return this.menuWeigh;
   }

   public Integer getWeight() {
      return this.weight;
   }

   public Integer getCheckState() {
      return this.checkState;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setGoodsId(final Long goodsId) {
      this.goodsId = goodsId;
   }

   public void setGoodsName(final String goodsName) {
      this.goodsName = goodsName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setTotalAmount(final Integer totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setDetailType(final Integer detailType) {
      this.detailType = detailType;
   }

   public void setTasteName(final String tasteName) {
      this.tasteName = tasteName;
   }

   public void setOrdState(final Integer ordState) {
      this.ordState = ordState;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setGoodsRefundNum(final Integer goodsRefundNum) {
      this.goodsRefundNum = goodsRefundNum;
   }

   public void setApplyRefundNum(final Integer applyRefundNum) {
      this.applyRefundNum = applyRefundNum;
   }

   public void setRealRefundNum(final Integer realRefundNum) {
      this.realRefundNum = realRefundNum;
   }

   public void setMenuWeigh(final Integer menuWeigh) {
      this.menuWeigh = menuWeigh;
   }

   public void setWeight(final Integer weight) {
      this.weight = weight;
   }

   public void setCheckState(final Integer checkState) {
      this.checkState = checkState;
   }

}
